Loading...
Searching...
No Matches
boost_adaptbx::python::ostream Struct Reference

`#include <python_streambuf.h>`

Inheritance diagram for boost_adaptbx::python::ostream:

## Public Member Functions

| ostream (bp::object &python_file_obj, std::size_t buffer_size=0)
| ~ostream () noexcept override
Public Member Functions inherited from boost_adaptbx::python::streambuf::ostream
| ostream (streambuf &buf)
| ~ostream () override

## Detailed Description

Definition at line 549 of file python_streambuf.h.

## Constructor & Destructor Documentation

## ostream()

boost_adaptbx::python::ostream::ostream | ( | bp::object & | python_file_obj,
|  | std::size_t | buffer_size = `0`
| ) |  |

inline

Definition at line 550 of file python_streambuf.h.

## ~ostream()

boost_adaptbx::python::ostream::~ostream | ( |  | ) |

inline override noexcept

Definition at line 554 of file python_streambuf.h.

The documentation for this struct was generated from the following file:

- python_streambuf.h